Subject: Re: bug#62700: 29.0.60; minibuffer-{previous,next,choose}-completion behave unintuitively when point is not at end of buffer

From: [email-masked]
Date: Sat, 22 Apr 2023 21:38:52 +0000 (UTC)

Eli Zaretskii <[email-masked]> writes:
>> From: [email-masked]
>> Date: Sat, 22 Apr 2023 12:57:57 +0000 (UTC)
>> Cc: [email-masked], [email-masked], [email-masked]
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > And here we seem to be modifying code that is not only for when
>> > minibuffer-completion-auto-choose is non-nil, or what am I missing?
>> 
>> The bug happens regardless of the value of
>> minibuffer-completion-auto-choose.  It doesn't relate to
>> minibuffer-completion-auto-choose.
>
> I asked for the changes to affect only code specific to M-<UP> and
> M-<DOWN>, but the patch you posted doesn't limit itself to that,
> AFAICT.  Or what am I missing?

Ah, I didn't realize that was what you were asking for.  I can do that,
certainly, but why not also cover M-RET?  The bug exists in the exact
same form for M-RET and it will be confusing (though better than
nothing, definitely) if the fix applies to M-<UP> and M-<DOWN> but not
M-RET.